<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


only_reg();
if ($user['level'] < 4)
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "У вас нету прав доступа к этой странице!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}

$set['title']='Ссылки';
include_once '../sys/inc/thead.php';
title();
aut();


if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['link']) && $_POST['link']!=NULL && isset($_POST['prise']))
{
$name=mysql_real_escape_string($_POST['name']);
$link=mysql_real_escape_string($_POST['link']);
$prise=intval($_POST['prise']);

if (strlen2($name)<2)$err='Короткое название';
if (strlen2($name)>128)$err='Длина названия превышает предел в 128 символов';

if (!isset($err))
{
mysql_query("INSERT INTO `balls_list` (`name`, `url`, `prise`, `time`) values('$name', '$link', '$prise', '".time()."')");
echo"".mysql_error()."";
msg('Запись Добавлена');
}
}
elseif (isset($_GET['set']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `balls_list` WHERE `id` = '".intval($_GET['set'])."'"),0) && isset($_POST['name']) && isset($_POST['link']) && isset($_POST['prise']))
{
$name=mysql_real_escape_string($_POST['name']);
$link=mysql_real_escape_string($_POST['link']);
$prise=intval($_POST['prise']);

if (strlen2($name)<2)$err='Короткое название';
if (strlen2($name)>128)$err='Длина названия превышает предел в 128 символов';


if (!isset($err))
{
mysql_query("UPDATE `balls_list` SET `name` = '$name', `url` = '$link', `prise` = '$prise' WHERE `id` = '".intval($_GET['set'])."'");
echo"".mysql_error()."";
msg('Запись изменена');
}
}
elseif (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `balls_list` WHERE `id` = '".intval($_GET['del'])."'"),0))
{
mysql_query("DELETE FROM `balls_list` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
msg('Удалено');
}


err();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `balls_list`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";


if($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Ссылок пока нет<br />";
echo "  </td>\n";
echo "   </tr>\n";
}

$res = mysql_query("select * from `balls_list` ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
while ($post = mysql_fetch_array($res)){
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo"$post[name]<br />";
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";
echo "  <td class='p_m'>\n";
echo"Ссылка:  <b>$post[url]</b><br />";
echo"Количество переходов: <b>$post[kol]</b><br />";
echo"Цена перехода: <b>$post[prise]</b><br />";
echo "<a href='?del=$post[id]&amp;page=$page'>Удалить</a><br />\n";

if (isset($_GET['set']) && $_GET['set']==$post['id'])
{
echo "<form method='post' action='?set=$post[id]&amp;page=$page'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"$post[name]\" /><br />\n";
echo "Ссылка:<br />\n<input type=\"text\" name=\"link\" value=\"$post[url]\" /><br />\n";
echo "Стоимость одного перехода(баллы):<br />\n<input type=\"text\" name=\"prise\" value=\"$post[prise]\" /><br />\n";
echo "<input value=\"Применить\" type=\"submit\" />\n";
echo "</form>\n";
echo "<a href='?page=$page'>Отмена</a><br />\n";
}
else
echo "<a href='?set=$post[id]&amp;page=$page'>Изменить</a><br />\n";


if (isset($_GET['stat']) && $_GET['stat']==$post['id'])
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `balls_go` WHERE `id_link` = $post[id]"),0);
if($k_post==0)
{
echo"Переходов за последнии сутки не обнаружено<br />\n";
}
$q=mysql_query("SELECT * FROM `balls_go` WHERE `id_link` = $post[id] ORDER by `id` DESC");
while($post=mysql_fetch_array($q))
{
echo"id_user=$post[id_user]|time=".vremja($post['time'])."<br />\n";
}
}
else
echo "<a href='?stat=$post[id]&amp;page=$page'>Переходы за последнии сутки</a><br />\n";

echo "  </td>\n";
echo "   </tr>\n";
}
echo"</table>";
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц


echo "<form method='post' action='?add'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"\" /><br />\n";
echo "Ссылка:<br />\n<input type=\"text\" name=\"link\" value=\"http://\" /><br />\n";
echo "Стоимость одного перехода(баллы):<br />\n<input type=\"text\" name=\"prise\" value=\"1\" /><br />\n";

echo "<input value=\"Добавить\" type=\"submit\" />\n";
echo "</form>\n";



echo"<div class='foot'>\n";
echo"<a href='index.php'>К ссылкам</a><br />\n";
echo"</div>\n";

include_once '../sys/inc/tfoot.php';

?>